::visit Rootjunky.com

::Set our Window Title
@title Kodi Installer

::Set our default parameters
@echo off
color 0b



:menuLOOP

	call:header
	::Print our header
	::call:header
	
	::Load up our menu selections
	echo.--------------------------------------------------------------------------------
	for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":menu_" "%~f0""') do echo.  %%B  %%C
	
	call:printstatus

	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to exit: ||GOTO:EOF
	echo.&call:menu_%choice%
	
GOTO:menuLOOP

:menu_1 Install Kodi/XBMC on your Fire TV or stick over IP
cls
color 0b
echo.--------------------------------------------------------------------------------
echo.
adb kill-server
adb start-server
echo.--------------------------------------------------------------------------------
echo. First you must turn on ADB DEBUGGING in your fire tv settings menu's
echo. Enter IP address from Amazon Fire TV in
echo. settings/system/about/network IP address number 
echo. example 000.00.0.0 then press enter
echo.--------------------------------------------------------------------------------
echo Enter IP Number
set /p IP=""
adb connect "%IP%"
adb devices
timeout 8 > nul
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":kodi_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:kodi_%choice%
color 0b	
cls
GOTO:EOF

:menu_2 Install Kodi/XBMC on your android device over USB 
cls
color 0b
echo.--------------------------------------------------------------------------------
echo. Make sure your usb debugging / adb debugging drivers are installed
echo. on your device. To turn on usb debugging. Go to settings, about,
echo. tap on your build number 7 times then in settings select developer options
echo. to turn on usb debugging mode. 
echo.--------------------------------------------------------------------------------
echo. you can get drivers for your android device here RootJunkysdl.com
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":android_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:android_%choice%
color 0b	
cls
GOTO:EOF


:kodi_1  Install Kodi/XBMC version 16.1 
cls
color 0b
echo.--------------------------------------------------------------------------------
adb devices
echo.--------------------------------------------------------------------------------
echo. Installing Kodi/XBMC please wait
adb install kodi-16.1-Jarvis-armeabi-v7a.apk
echo.--------------------------------------------------------------------------------
echo. Kodi 16.1 is now installed on your device.
echo. Launch Kodi app by going to settings, Applications, 
echo. then Manage all applications. 
echo. For a easy way to launch Kodi install Fire Starter Launcher
echo.--------------------------------------------------------------------------------
pause
clr
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":kodi_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:kodi_%choice%
color 0b	
cls
GOTO:EOF


:kodi_2  Install Kodi/XBMC version 17.0 beta
cls
color 0b
echo.--------------------------------------------------------------------------------
adb devices
echo.--------------------------------------------------------------------------------
echo. Installing Kodi/XBMC please wait
adb install kodi-17.0-Krypton_beta7-armeabi-v7a.apk
echo.--------------------------------------------------------------------------------
echo. Kodi 17.0 beta is now installed on your device.
echo. Launch Kodi app by going to settings, Applications, 
echo. then Manage all applications. 
echo. For a easy way to launch Kodi install Fire Starter Launcher
echo.--------------------------------------------------------------------------------
pause
clr
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":kodi_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:kodi_%choice%
color 0b	
cls
GOTO:EOF	


:kodi_3 Install Fire Starter launcher for fire stick 
cls
color 0b	
echo.--------------------------------------------------------------------------------
adb devices
echo.--------------------------------------------------------------------------------
echo. Installing Fire Starter Launcher please wait
adb install FireStarter-v3.2.2.apk
echo.--------------------------------------------------------------------------------
echo. Fire Starter laucher is now installed
echo. Run Fire Starter Launcher app by going to settings, Applications, 
echo. then Manage all applications.
echo. in Fire starter app go to settings and setup home double tap options. 
echo.--------------------------------------------------------------------------------
pause
clr
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":kodi_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:kodi_%choice%
color 0b	
cls
GOTO:EOF


:android_1  Install Kodi/XBMC version 16.1
cls
color 0b
adb kill-server
adb start-server
echo.--------------------------------------------------------------------------------
echo. Installing Kodi/XBMC please wait
adb install kodi-16.1-Jarvis-armeabi-v7a.apk
echo.--------------------------------------------------------------------------------
echo. Kodi 16.1 is now installed on your device.
adb kill-server
echo.--------------------------------------------------------------------------------
set choice=
	echo.&set /p choice= hit ENTER to return to start: 
	echo.&call:android_%choice%
color 0b	
cls	
GOTO:EOF


:android_2  Install Kodi/XBMC version 17.0 beta
cls
color 0b
adb kill-server
adb start-server
echo.--------------------------------------------------------------------------------
echo. Installing Kodi/XBMC please wait
adb install kodi-17.0-Krypton_beta7-armeabi-v7a.apk
echo.--------------------------------------------------------------------------------
echo. Kodi 17.0 beta is now installed on your device.
adb kill-server
echo.--------------------------------------------------------------------------------
set choice=
	echo.&set /p choice= hit ENTER to return to start:
	echo.&call:android_%choice%
color 0b	
cls	
GOTO:EOF



:header  
cls        
color 0e
echo.[////////////////////////////      //////////            //////////////////////]                                                                           
echo.[///////////////////////////  ///   //////////////  ///////////////////////////]                                                                            
echo.[//////////////////////////  ////  //////////////  ////////////////////////////]                                                                    
echo.[/////////////////////////  //   ///////////////  /////////////////////////////]                                       
echo.[////////////////////////  ////  /////////  ///  //////////////////////////////]                                  
echo.[///////////////////////  //////  /////////    ////////////////////////////////]
echo.				  RootJunkys V5
echo. 		               Kodi/XBMC installer  
echo. 		  Rootjunky.com big thanks to the developers of Kodi
echo.--------------------------------------------------------------------------------
adb devices
adb kill-server
timeout 6 > nul
cls	
color 0b
GOTO:EOF

:printstatus
echo.
echo. Its Kodi Time
echo.--------------------------------------------------------------------------------
GOTO:EOF

:printstatus2
echo.
echo. Make a choice or exit the script
echo.--------------------------------------------------------------------------------
GOTO:EOF
